> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/endpoints/subscribers-2/referrals.md).

# Referrals

## Get partner program referrals

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v2/partner_programs/:identifier/referrals`

Partner program referrals are ordered in descending order by *referred\_at.*

#### Path Parameters

| Name                                         | Type   | Description            |
| -------------------------------------------- | ------ | ---------------------- |
| identifier<mark style="color:red;">\*</mark> | string | Partner program's UUID |

#### Query Parameters

| Name             | Type              | Description                                                    |
| ---------------- | ----------------- | -------------------------------------------------------------- |
| referred\_after  | Date (YYYY-MM-DD) | Only return referrals with referred\_at on or after this date  |
| referred\_before | Date (YYYY-MM-DD) | Only return referrals with referred\_at on or before this date |

{% tabs %}
{% tab title="200" %}

```json
{
  "referrals": [
    <Partner Program Referral Object>,
    <Partner Program Referral Object>,
    <Partner Program Referral Object>
  ],
  "meta": {
    "per_page": 50,
    "page": 1,
    "total_pages": 12,
    "total_referrals": 598
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sparkloop.app/api-v2/endpoints/subscribers-2/referrals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
